<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class WamoUserIdentifierAction extends \Google\Protobuf\Internal\Message
{
    


    protected $identifier = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIdentifier()
    {
        return isset($this->identifier) ? $this->identifier : '';
    }

    public function hasIdentifier()
    {
        return isset($this->identifier);
    }

    public function clearIdentifier()
    {
        unset($this->identifier);
    }

    




    public function setIdentifier($var)
    {
        GPBUtil::checkString($var, True);
        $this->identifier = $var;

        return $this;
    }

}

